Bug 1714981 - xrandr and multiple display support broken after updating to the latest version
Summary: xrandr and multiple display support broken after updating to the latest version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-29 10:25 UTC by Shaji
Modified: 2019-06-30 00:56 UTC (History)
9 users (show)

Fixed In Version: xorg-x11-server-1.20.5-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-30 00:56:47 UTC


Attachments (Terms of Use)

Description Shaji 2019-05-29 10:25:14 UTC
Description of problem:
External monitor support (HDMI output) + xrandr functionality is broken

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.20.4-4.fc31.x86_64

How reproducible:
ALWAYS.
xrandr does not work. External displays cannot be configured. Any attempt to configure displays after attaching HDMI output results in blank screen.

Steps to Reproduce:
1. plug in external display (e.g. HDMI)
2. try to configure (e.g. xrandr --output HDMI-0 --left-of eDPI-0
3. 

Actual results:
Screen goes blank

Expected results:
monitors ought to be configured

Additional info:
Started happening after updating to the latest xserver. Worked perfectly before that.

Comment 1 Olivier Fourdan 2019-05-29 11:35:06 UTC
Can you please post the Xorg logs to make sure which driver you are using? (I suspect modesettings)

(That would be the last atomic changes for modesettings driver).

Comment 2 Shaji 2019-05-31 11:05:09 UTC
That would be correct; I am indeed using the modesettings driver:

[  2609.157] (==) Matched modesetting as autoconfigured driver 0
[  2609.157] (==) Matched fbdev as autoconfigured driver 1
[  2609.157] (==) Matched vesa as autoconfigured driver 2

Comment 3 Fedora Update System 2019-06-28 17:15:17 UTC
FEDORA-2019-84694484f4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-84694484f4

Comment 4 Fedora Update System 2019-06-28 18:25:57 UTC
xorg-x11-server-1.20.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-84694484f4

Comment 5 Fedora Update System 2019-06-30 00:56:47 UTC
xorg-x11-server-1.20.5-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.